login_identity/refresh (User-present data refresh)
Trigger a data refresh request for a Login Identity, requesting Finverse to start authenticating with the institution (using stored credentials), and if authentication succeeds, to fetch new data for the Login Identity.
This refresh request example uses the user-present mode see the next request for an example of the background refresh mode.
Note: a success response only indicates that the refresh request has been accepted and is being processed. Authentication or data retrieval may still fail asynchronously (e.g. a user may have changed their credentials).
Authorization: login_identity_token
Refresh requirements
When a refresh is requested, Finverse will first check that the refresh is allowed:
-
All data refreshes: Finverse first checks whether the Login Identity is eligible for refreshes, i.e. the Login Identity has
refresh.refresh_allowed = true(seeGET /login_identity). This means:-
The user’s credentials are available (i.e. the user provided consent to store the credentials for refreshes); and
-
The user’s Login Identity is in refreshable state (e.g. previous linking/refresh attempts did not result in a persistent user-error).
-
-
Background data refreshes: Finverse also checks whether the institution being refreshed is generally available for background refreshes, i.e. the institution has
login_details.refresh_supported=true. (seeGET /institutions).
If the refresh is allowed, Finverse will start re-authenticating the Login Identity with the institution, and if authentication succeeds, Finverse will then fetch new data for the Login Identity.
link_customizations (object, optional)
Optional parameters to customize the behaviour of Finverse Link’s UI to fit your implementation requirements.
Monitoring refresh status
To check the authentication & data retrieval progress: see the section on “Monitoring refresh status” under “Data Refresh” above.
Token handling
Note: only applies if using GET /link/fvlink/status/{login_identity_id} to check the refresh result.
Usage: link_token can be used by either back-end or front-end clients to check the linking status via GET /link/fvlink/status/{login_identity_id}. It is the only Finverse API token that is allowed for use by front-end clients.
Renewal: link_token expires after 5 minutes. Repeat the refresh request if the token has expired.
Link URL handling
Note: only applies to user-present refresh mode (i.e. where user_present = true).
Depending on your preferred refresh UI, if the user is present, you can initiate a refresh and then either:
-
Immediately open the Link URL, so the user can see the refresh status & handle any 2FA action steps;
-
(recommended) Store the
link_urland monitor the refresh status in the background until the refresh status is updated, and then either:-
If a 2FA action is required, open the
link_urlso the user can complete the action steps using the Finverse Link UI. -
If the refresh is successful or encounters an error, either directly display the refresh result to your user in your application, or open the
link_urlfor the Finverse Link UI to display a success/error message to the user.
-
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Optional parameters to customize the behaviour of Finverse Link's UI to fit your implementation requirements
Flag to indicate whether the user is present in the customer's app (to handle any 2FA action steps required during authorization). If user_present = true: Finverse will use the "user-present refresh" mode. This allows initiating a refresh for any institution. If user_present = false or omitted: Finverse will use the "background refresh" mode. This only allows refreshing when the institution's login_details.refresh_supported = true.
Response
Refresh queued
Link session token (referred to as link_token)
Token validity length (in seconds)
Token issue time
URL to launch the Finverse Link UI flow associated with this link_token, for the end-user to view the refresh status, or to provide 2F action inputs.
"https://link.dev.finverse.net/onboarding?token=dasdsa8erhiu7rey78r"
Finverse Login Identity ID for the Login Identity being refreshed.
Possible values: Bearer